com.brightcove.player.mediacontroller

## Class BrightcoveSeekBarController

- java.lang.Object
- - com.brightcove.player.event.AbstractComponent
  - - com.brightcove.player.mediacontroller.BrightcoveSeekBarController

- All Implemented Interfaces:
    AccessibilityListener, Component

      @ListensFor(events={"setMarkers","bufferedUpdate","hideSeekControls","showSeekControls","seekTo","didSeekTo","didSetVideo","seekbarDraggingStart","seekbarDraggingProgress","seekbarDraggingStop","willResumeContent"})
       @Emits(events={"showMediaControls","seekbarDraggingStop","seekbarDraggingProgress","seekbarDraggingStart"})
      public class BrightcoveSeekBarController
      extends AbstractComponent
      implements AccessibilityListener

  Abstracts the seekbar operations and provides a helper class for the seekbar in general.

- - ### Field Summary

    - ### Fields inherited from class com.brightcove.player.event.AbstractComponent

      `eventEmitter, listenerTokens`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `BrightcoveSeekBarController(BrightcoveSeekBar seekBar, BaseVideoView videoView)` Builds the seek bar controller.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `isDragging()` Obtains the dragging state.
    `void` | `onAccessibilityStateChanged(boolean enabled)` Called back on change in the accessibility state.
    `void` | `setDragging(boolean value)` Sets the dragging state.

    - ### Methods inherited from class com.brightcove.player.event.AbstractComponent

      `addListener, addOnceListener, getEventEmitter, removeListener, removeListeners`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### BrightcoveSeekBarController

          public BrightcoveSeekBarController(@NonNull
                                             BrightcoveSeekBar seekBar,
                                             @NonNull
                                             BaseVideoView videoView)

      Builds the seek bar controller.
      Parameters:
        `seekBar` - The seek bar object being helped.
        `videoView` - The SDK base video view.

  - ### Method Detail

    - #### isDragging

          public boolean isDragging()

      Obtains the dragging state.
      Returns:
        `TRUE` iff the User is currently performing a dragging operation.

    - #### setDragging

          public void setDragging(boolean value)

      Sets the dragging state. `TRUE` iff the User is currently performing a dragging operation.

    - #### onAccessibilityStateChanged

          public void onAccessibilityStateChanged(boolean enabled)

      Description copied from interface: `AccessibilityListener`
      Called back on change in the accessibility state.
      Specified by:
        `onAccessibilityStateChanged` in interface `AccessibilityListener`
      Parameters:
        `enabled` - Whether accessibility is enabled.